> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List WebAuthn Credentials

> List the credentials of the WebAuthn Registrations or Passkeys

List the public key credentials of the WebAuthn Registrations or Passkeys registered to a specific User.


## OpenAPI

````yaml GET /v1/webauthn/credentials/{user_id}/{domain}
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/webauthn/credentials/{user_id}/{domain}:
    get:
      tags:
        - Webauthn
      summary: Listcredentials
      description: >-
        List the public key credentials of the WebAuthn Registrations or
        Passkeys registered to a specific User.
      operationId: api_webauthn_v1_ListCredentials
      parameters:
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            description: >-
              The `user_id` of an active user the Passkey or WebAuthn
              registration should be tied to.
          description: >-
            The `user_id` of an active user the Passkey or WebAuthn registration
            should be tied to.
        - name: domain
          in: path
          required: true
          schema:
            type: string
            description: >-
              The domain for Passkeys or WebAuthn. Defaults to
              `window.location.hostname`.
          description: >-
            The domain for Passkeys or WebAuthn. Defaults to
            `window.location.hostname`.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_webauthn_v1_ListCredentialsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // GET /v1/webauthn/credentials/{user_id}/{domain}
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
              domain: "example.com",
            };

            client.WebAuthn.ListCredentials(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// GET /v1/webauthn/credentials/{user_id}/{domain}\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/webauthn\"\n)\n\nfunc main() {\n\tclient, err := stytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &webauthn.ListCredentialsParams{\n\t\tUserID: \"user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6\",\n\t\tDomain: \"example.com\",\n\t}\n\n\tresp, err := client.WebAuthn.ListCredentials(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // GET /v1/webauthn/credentials/{user_id}/{domain}

            package com.example;


            import com.stytch.java.common.StytchResult;

            import
            com.stytch.java.consumer.models.webauthn.ListCredentialsRequest;

            import com.stytch.java.consumer.StytchClient;


            public class Main {
                public static void main(String[] args) {
                    StytchClient.configure("${projectId}", "${secret}");

                    ListCredentialsRequest params = new ListCredentialsRequest();
                    params.setUserId("user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6");
                    params.setDomain("example.com");

                    Object result = StytchClient.getWebAuthn().listCredentials(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // GET /v1/webauthn/credentials/{user_id}/{domain}

            package com.example


            import com.stytch.java.consumer.StytchClient

            import
            com.stytch.java.consumer.models.webauthn.ListCredentialsRequest


            fun main() {
                StytchClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchClient.webauthn.listCredentials(
                            ListCredentialsRequest(
                                userId = "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
                                domain = "example.com",
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // GET /v1/webauthn/credentials/{user_id}/{domain}
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
              domain: "example.com",
            };

            client.webauthn.listCredentials(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->webauthn->list_credentials([
                'user_id' => 'user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6',
                'domain' => 'example.com',
            ]);
        - lang: python
          label: Python
          source: |
            # GET /v1/webauthn/credentials/{user_id}/{domain}
            from stytch import Client

            client = Client(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.webauthn.list_credentials(
                user_id="user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
                domain="example.com",
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # GET /v1/webauthn/credentials/{user_id}/{domain}
            require 'stytch'

            client = Stytch::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.webauthn.list_credentials(
              user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
              domain: "example.com"
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // GET /v1/webauthn/credentials/{user_id}/{domain}
            use stytch::consumer::client::Client;
            use stytch::consumer::webauthn::ListCredentialsRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.webauthn.list_credentials(
                    ListCredentialsRequest{
                        user_id: "user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6",
                        domain: "example.com",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # GET /v1/webauthn/credentials/{user_id}/{domain}
            curl --request GET \
              --url https://test.stytch.com/v1/webauthn/credentials/user-test-16d9ba61-97a1-4ba4-9720-b03761dc50c6/example.com \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json'
components:
  schemas:
    api_webauthn_v1_ListCredentialsResponse:
      type: object
      properties:
        credentials:
          type: array
          items:
            $ref: '#/components/schemas/api_webauthn_v1_WebAuthnCredential'
          description: A list of WebAuthn credential objects.
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
      required:
        - credentials
        - request_id
        - status_code
    api_webauthn_v1_WebAuthnCredential:
      type: object
      properties:
        credential_id:
          type: string
          description: The unique, public ID of the WebAuthn credential.
        webauthn_registration_id:
          type: string
          description: The unique ID for the Passkey or WebAuthn registration.
        type:
          type: string
          description: The type of the WebAuthn credential. Examples include `public-key`.
        public_key:
          type: string
          description: The public key for the WebAuthn credential in base64 format.
      required:
        - credential_id
        - webauthn_registration_id
        - type
        - public_key
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````